# Uses of Annotation Interface
org.apache.datasketches.common.SuppressFBWarnings

Packages that use SuppressFBWarnings
Package
Description
org.apache.datasketches.common
This package is for common classes that may be used across all the sketch families.
org.apache.datasketches.cpc
Compressed Probabilistic Counting sketch family
org.apache.datasketches.frequencies
This package is dedicated to streaming algorithms that enable estimation of the frequency of occurrence of items in a weighted multiset stream of items.
org.apache.datasketches.kll
This package is for the implementations of the sketch algorithm developed by Zohar Karnin, Kevin Lang, and Edo Liberty that is commonly referred to as the "KLL" sketch after the authors' last names.
org.apache.datasketches.theta
The theta package contains the basic sketch classes that are members of the Theta Sketch Framework.
org.apache.datasketches.tuple
The tuple package contains a number of sketches based on the same fundamental algorithms of the Theta Sketch Framework and extend these concepts for whole new families of sketches.
org.apache.datasketches.tuple.arrayofdoubles
This package is for a concrete implementation of the Tuple sketch for an array of double values.

## Uses of SuppressFBWarnings in org.apache.datasketches.common

Methods in org.apache.datasketches.common with annotations of type SuppressFBWarnings
Modifier and Type
Method
Description
`int`
Family.`getID()`
Returns the byte ID for this family

## Uses of SuppressFBWarnings in org.apache.datasketches.cpc

Constructors in org.apache.datasketches.cpc with annotations of type SuppressFBWarnings
Modifier
Constructor
Description
``
`CompressionCharacterization(int lgMinK, int lgMaxK, int lgMinT, int lgMaxT, int lgMulK, int uPPO, int incLgK, PrintStream pS, PrintWriter pW)`
Only used in test.
``
`CpcWrapper(org.apache.datasketches.memory.Memory mem)`
Construct a read-only view of the given Memory that contains a CpcSketch
``
`MergingValidation(int lgMinK, int lgMaxK, int lgMulK, int uPPO, int incLgK, PrintStream pS, PrintWriter pW)`
Constructor
``
`QuickMergingValidation(int lgMinK, int lgMaxK, int incLgK, PrintStream ps, PrintWriter pw)`
Constructor
``
`StreamingValidation(int lgMinK, int lgMaxK, int trials, int ppoN, PrintStream pS, PrintWriter pW)`
Constructor

## Uses of SuppressFBWarnings in org.apache.datasketches.frequencies

Classes in org.apache.datasketches.frequencies with annotations of type SuppressFBWarnings
Modifier and Type
Class
Description
`class`
`LongsSketch`
This sketch is useful for tracking approximate frequencies of long items with optional associated counts (long item, long count) that are members of a multiset of such items.

## Uses of SuppressFBWarnings in org.apache.datasketches.kll

Methods in org.apache.datasketches.kll with annotations of type SuppressFBWarnings
Modifier and Type
Method
Description
`DoublesSketchSortedView`
KllDoublesSketch.`getSortedView()`
`FloatsSketchSortedView`
KllFloatsSketch.`getSortedView()`
`LongsSketchSortedView`
KllLongsSketch.`getSortedView()`

## Uses of SuppressFBWarnings in org.apache.datasketches.theta

Methods in org.apache.datasketches.theta with annotations of type SuppressFBWarnings
Modifier and Type
Method
Description
`UpdateSketch`
UpdateSketchBuilder.`buildShared(org.apache.datasketches.memory.WritableMemory dstMem)`
Returns a direct (potentially off-heap) concurrent shared UpdateSketch with the current configuration of the Builder and the given destination WritableMemory.
`UpdateSketch`
UpdateSketchBuilder.`buildSharedFromSketch(UpdateSketch sketch, org.apache.datasketches.memory.WritableMemory dstMem)`
Returns a direct (potentially off-heap) concurrent shared UpdateSketch with the current configuration of the Builder, the data from the given sketch, and the given destination WritableMemory.

## Uses of SuppressFBWarnings in org.apache.datasketches.tuple

Classes in org.apache.datasketches.tuple with annotations of type SuppressFBWarnings
Modifier and Type
Class
Description
`final class`
`AnotB<S extends Summary>`
Computes a set difference, A-AND-NOT-B, of two generic tuple sketches.
Methods in org.apache.datasketches.tuple with annotations of type SuppressFBWarnings
Modifier and Type
Method
Description
`static <S extends Summary>
CompactSketch<S>`
AnotB.`aNotB(Sketch<S> skA, Sketch skB)`
Returns the A-and-not-B set operation on a Tuple sketch and a Theta sketch.
`static <S extends Summary>
CompactSketch<S>`
AnotB.`aNotB(Sketch<S> skA, Sketch<S> skB)`
Returns the A-and-not-B set operation on the two given Tuple sketches.

## Uses of SuppressFBWarnings in org.apache.datasketches.tuple.arrayofdoubles

Methods in org.apache.datasketches.tuple.arrayofdoubles with annotations of type SuppressFBWarnings
Modifier and Type
Method
Description
`void`
ArrayOfDoublesAnotBImpl.`update(ArrayOfDoublesSketch skA, ArrayOfDoublesSketch skB)`